Bug 595544 - possible minor issues in netutils.te
Summary: possible minor issues in netutils.te
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-24 22:06 UTC by Dominick Grift
Modified: 2011-06-27 16:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:37:12 UTC
Type: ---


Attachments (Terms of Use)

Description Dominick Grift 2010-05-24 22:06:06 UTC
In netutils.te these are called:

term_use_all_terms(ping_t)
term_use_all_terms(traceroute_t)

However this probably breaks the following:

tunable_policy(`user_ping',`
	term_use_all_ttys(traceroute_t)
	term_use_all_ptys(traceroute_t)
')

tunable_policy(`user_ping',`
	term_use_all_ttys(ping_t)
	term_use_all_ptys(ping_t)
')

I suspect the:

term_use_all_terms(ping_t)
term_use_all_terms(traceroute_t)

.. should be removed.

Comment 1 Daniel Walsh 2010-05-25 14:30:54 UTC
I think these were added because of problems during boot up and these processes running against unassigned terminals and devices.  A better solution would be to dontaudit them.

Comment 2 Dominick Grift 2010-05-25 15:29:51 UTC
Theres also userdom_use_user_terminals() called for both ping_t and traceroute_t so i suspect these should be removed or dontaudited as well.

Comment 3 Dominick Grift 2010-05-25 18:13:55 UTC
This is what i am currently testing (i also removed the

term_use_all_terms(ping_t)
term_use_all_terms(traceroute_t)

in a previous commit.

Trying to make user_ping work

Signed-off-by: Dominick Grift <domg472@gmail.com>
----------------------- policy/modules/admin/netutils.te ----------------------
index 32b7bc2..d353a15 100644
@@ -139,8 +139,6 @@
 
 miscfiles_read_localization(ping_t)
 
-userdom_use_user_terminals(ping_t)
-
 ifdef(`hide_broken_symptoms',`
 	init_dontaudit_use_fds(ping_t)
 
@@ -152,6 +150,9 @@
 tunable_policy(`user_ping',`
 	term_use_all_ttys(ping_t)
 	term_use_all_ptys(ping_t)
+',`
+	term_dontaudit_use_all_ttys(traceroute_t)
+	term_dontaudit_use_all_ptys(traceroute_t)
 ')
 
 optional_policy(`
@@ -207,6 +208,7 @@
 domain_use_interactive_fds(traceroute_t)
 
 files_read_etc_files(traceroute_t)
+files_read_usr_files(traceroute_t)
 files_dontaudit_search_var(traceroute_t)
 
 init_use_fds(traceroute_t)
@@ -216,15 +218,15 @@
 logging_send_syslog_msg(traceroute_t)
 
 miscfiles_read_localization(traceroute_t)
-
-userdom_use_user_terminals(traceroute_t)
 
 #rules needed for nmap
 dev_read_rand(traceroute_t)
 dev_read_urand(traceroute_t)
-files_read_usr_files(traceroute_t)
 
 tunable_policy(`user_ping',`
 	term_use_all_ttys(traceroute_t)
 	term_use_all_ptys(traceroute_t)
+',`
+	term_dontaudit_use_all_ttys(traceroute_t)
+	term_dontaudit_use_all_ptys(traceroute_t)
 ')

Comment 4 Dominick Grift 2010-05-25 18:15:36 UTC
overlooking my own patch i found a bug it introduced:

 tunable_policy(`user_ping',`
  term_use_all_ttys(ping_t)
  term_use_all_ptys(ping_t)
+',`
+ term_dontaudit_use_all_ttys(traceroute_t)
+ term_dontaudit_use_all_ptys(traceroute_t)
 ')

should be ping_t not traceroute_t there

Comment 5 Carl G. 2010-07-09 00:34:00 UTC
Fixed?

Comment 6 Daniel Walsh 2010-07-12 20:42:52 UTC
Added to Rawhide.  Miroslav can you make these changes to F13 and RHEL6

Comment 7 Miroslav Grepl 2010-07-13 07:47:18 UTC
Fixed in selinux-policy-3.7.19-36.fc13.

Comment 8 Fedora Update System 2010-07-14 14:25:44 UTC
selinux-policy-3.7.19-37.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-37.fc13

Comment 9 Fedora Update System 2010-07-14 23:07:37 UTC
selinux-policy-3.7.19-37.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-37.fc13

Comment 10 Fedora Admin XMLRPC Client 2010-11-08 21:51:39 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Fedora Admin XMLRPC Client 2010-11-08 21:52:58 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Fedora Admin XMLRPC Client 2010-11-08 21:55:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Bug Zapper 2011-06-02 13:36:52 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bug Zapper 2011-06-27 16:37:12 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.